Bug 596902

Summary: F13 kvm performance much slower than what I experienced in Fedora 11
Product: [Fedora] Fedora Reporter: Kenny Armstrong <karmstrong>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: berrange, clalance, ehabkost, gcosta, gregorio.gervasio, markmc, mhlavink, naoki, pmarciniak, pseudo, quintela, rjones, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 12:49:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kenny Armstrong 2010-05-27 14:20:14 EDT
Description of problem:
Fresh, unaltered install (except for updates) of Fedora 13.  It is taking me over 20 hours to install a RHEL 5.4 guest with the ISO file on the same system as where the image is being installed.  I am using a preallocated disk.  I am also using SELinux (I am not getting any AVC errors) and BTRFS for my filesystem.

I have verified that kvm_intel.ko is loaded, and that I am using kvm as the hypervisor and not qemu.

I've used kvm before on this very machine under Fedora 11 and had no performance issues with VMs.  However, I was also using EXT4 as my filesystem then, so I'm not sure if this is what's causing the bad drop in performance.

Version-Release number of selected component (if applicable):
virt-manager-0.8.3-3.fc13.noarch
qemu-kvm-0.12.3-8.fc13.x86_64
libvirt-client-0.7.7-3.fc13.x86_64
libvirt-python-0.7.7-3.fc13.x86_64
libvirt-0.7.7-3.fc13.x86_64

How reproducible:
Every install that I've tried, using RHEL 5.5 and RHEL 5.4 with virtio block devices, performance is terrible.  Trying to install takes longer than 20 hours, and after the install is done, trying to run the VM's is painfully slow.

Steps to Reproduce:
1. Install Fedora 13 on a Dell Vostro 1500 laptop with an intel Core 2 Duo processor with 4GB of RAM and a 100GB SATA hard drive
2.  Attempt to install a VM in virt-manager
3.  Go to bed so that you can sleep while the VM installs.
  
Actual results:
Extremely slow VM installs and performance after they have installed.

Expected results:
VMs should be much quicker than this.

Additional info:
I'm willing to run any tests or anything, as I'm using this to study for my RHCE.
Comment 1 Kenny Armstrong 2010-05-31 14:12:51 EDT
I reinstalled and chose ext4 as my filesystem, my performance has been greatly improved.  Apparently there is something within btrfs that doesn't work too well with raw .img files.
Comment 2 Richard W.M. Jones 2010-06-01 11:37:18 EDT
It'd be really good to find out if btrfs is the pertinent factor here.
Comment 3 Paweł 2010-06-01 15:00:24 EDT
Same for me, host fedora 13 btrfs, quest fedora 13 minimal img.raw, install takes aprox 45 min (heavy IO in iotop aprox 15MB/s all time). On VirtualBox 5 min.
Comment 4 Paweł 2010-06-02 16:23:31 EDT
OK, on host with ext4 install takes 3 min. So it is probably btrfs fault.
Comment 5 Naoki 2010-07-14 03:46:31 EDT
I see 99% device utilization on a four disk RAID5 with ~1MB/s writes. This is btrfs on F13 latest patches/kernel as of today. It's affecting others but appears to at least be now, a known issue.

http://lkml.org/lkml/2010/7/12/5
http://permalink.gmane.org/gmane.linux.file-systems/42758
Comment 6 Max Krasilnikov 2010-09-28 06:33:15 EDT
I have terrible disk i/o (no more than 6 MB/s) after upgrading Fedora-12 ->
Fedora13. It is workaround to set cache='none' parameter, but speed is not so good as old one.
Disk performance is not related to used FS: it is the same on ext3/4, UFS, NTFS
on guests. All guest images is located on LVs:
<driver name='qemu' type='raw' cache='none'/>
<source dev='/dev/users/user'/>
Comment 7 Naoki 2011-04-11 02:06:31 EDT
I suspect this BZ is now superseded by https://bugzilla.redhat.com/show_bug.cgi?id=689127
Comment 8 Bug Zapper 2011-06-02 09:13:06 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 12:49:36 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.